# Uses of Class
org.eclipse.equinox.p2.repository.artifact.ArtifactDescriptorQuery

Packages that use ArtifactDescriptorQuery
Package
Description
org.eclipse.equinox.p2.repository.artifact
Defines artifact repository.

## Uses of ArtifactDescriptorQuery in org.eclipse.equinox.p2.repository.artifact

Fields in org.eclipse.equinox.p2.repository.artifact declared as ArtifactDescriptorQuery
Modifier and Type
Field
Description
`static final ArtifactDescriptorQuery`
ArtifactDescriptorQuery.`ALL_DESCRIPTORS`
A singleton query that will match all instances of `IArtifactDescriptor`.